Package org.springframework.http.codec.protobuf

# Class KotlinSerializationProtobufDecoder

java.lang.Object
org.springframework.http.codec.KotlinSerializationSupport<T>
org.springframework.http.codec.KotlinSerializationBinaryDecoder<kotlinx.serialization.protobuf.ProtoBuf>
org.springframework.http.codec.protobuf.KotlinSerializationProtobufDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`

public class KotlinSerializationProtobufDecoder extends KotlinSerializationBinaryDecoder<kotlinx.serialization.protobuf.ProtoBuf>
Decode a byte stream into a protocol Buffer and convert to Objects with kotlinx.serialization.

This decoder can be used to bind `@Serializable` Kotlin classes, open polymorphic serialization is not supported. It supports `application/x-protobuf`, `application/octet-stream`, and `application/vnd.google.protobuf`.

Decoding streams is not supported yet, see kotlinx.serialization/issues/1073 related issue.

Since:
  6.0
Author:
  Iain Henderson

## Constructor Summary

Constructors
Constructor
Description
`KotlinSerializationProtobufDecoder()`
`KotlinSerializationProtobufDecoder(kotlinx.serialization.protobuf.ProtoBuf protobuf)`

## Method Summary

### Methods inherited from class org.springframework.http.codec.KotlinSerializationBinaryDecoder

`canDecode, decode, decodeToMono, getDecodableMimeTypes, getDecodableMimeTypes, getMaxInMemorySize, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.KotlinSerializationSupport

`canSerialize, format, serializer, supportedMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.codec.Decoder

`decode`

## Constructor Details

### KotlinSerializationProtobufDecoder

public KotlinSerializationProtobufDecoder()

### KotlinSerializationProtobufDecoder

public KotlinSerializationProtobufDecoder(kotlinx.serialization.protobuf.ProtoBuf protobuf)